Skip to main content

Update invoice

PATCH https://pos.paysera.com/eapi/v1/invoices/{id}

Update an existing invoice's details.

Authorization​

This endpoint requires a Personal Access Token, sent as a Bearer token.

To obtain one, your account needs API permission. Once granted, go to /user/settings in your POS account and create a personal access token.

Authorization Header Format:

Authorization: Bearer YOUR_ACCESS_TOKEN

Example:

Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...

For more details, see the Authentication section.

Parameters​

Path Parameters​

NameTypeRequiredDescription
idstring✓The invoice ID identifier

Request Body​

FieldTypeRequiredDescription
notesstring
issueDatestring
dueDatestring
customerobject

Errors​

This endpoint may return the following errors:

400 - Bad Request​

The request was invalid or cannot be served.

401 - Unauthorized​

Unauthorized

This error was produced by providing incorrect credentials.

403 - Forbidden​

Forbidden

This error indicates you don't have permission to access this resource.

404 - Not Found​

Invoice not found

This error indicates the requested resource was not found.

409 - Conflict​

The request could not be completed due to a conflict with the current state of the target resource.

422 - Unprocessable Entity​

Unprocessable entity

429 - Too Many Requests​

You have exceeded the rate limit. Please try again in a minute.

500 - Internal Server Error​

Internal server error

Example​

Request​

PATCH https://pos.paysera.com/eapi/v1/invoices/{id}
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
{
"notes": "string",
"issueDate": "2024-11-04",
"dueDate": "2024-11-04",
"customer": {
"firstName": "Jonas",
"lastName": "Jonaitis",
"companyName": "UAB SaulÄ—",
"companyCode": "123456789",
"companyVat": "LT123456789",
"email": "jonas@example.com",
"billingAddress": {
"phone": "+37060012345",
"address1": "Gedimino pr. 1",
"address2": "string",
"city": "Vilnius",
"zip": "01103",
"country": "LT"
}
}
}

Response​

{
"id": "123e4567-e89b-12d3-a456-426614174000",
"prefix": "POS",
"number": "00001",
"fullNumber": "POS00001",
"type": "debit",
"currency": "EUR",
"order": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"number": "123456"
},
"customer": {
"firstName": "John",
"lastName": "Doe",
"companyName": "Acme Inc.",
"companyCode": "123456789",
"companyVat": "LT123456789",
"billingAddress": {
"phone": "+1-555-123-4567",
"address1": "123 Main St",
"address2": "Apt 4B",
"zip": "LT12345",
"city": "Anytown",
"country": "LT"
}
},
"invoicePositions": [
{
"name": "Product Name",
"quantity": 2,
"price": {
"unit": {
"regular": "45.99",
"special": "39.99",
"discount": "6.00",
"globalDiscount": "2.00"
},
"total": {
"withoutTax": "91.98",
"tax": "19.32",
"withTax": "111.30"
},
"tax": {
"rate": "21.0",
"classifier": "PVM1"
}
}
}
],
"totals": {
"subtotal": "62.20",
"discount": "5.00",
"tax": "12.79",
"total": "74.99"
},
"notes": "Additional notes",
"issueDate": "2024-11-04T10:15:30Z",
"createdAt": "2024-11-04T10:15:30Z"
}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://pos.paysera.com
Body REQUIRED
{
"notes": "string",
"issueDate": "2024-11-04",
"dueDate": "2024-11-04",
"customer": {
"firstName": "Jonas",
"lastName": "Jonaitis",
"companyName": "UAB SaulÄ—",
"companyCode": "123456789",
"companyVat": "LT123456789",
"email": "jonas@example.com",
"billingAddress": {
"phone": "+37060012345",
"address1": "Gedimino pr. 1",
"address2": "string",
"city": "Vilnius",
"zip": "01103",
"country": "LT"
}
}
}

RESPONSE

Invoice updated successfully
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"prefix": "POS",
"number": "00001",
"fullNumber": "POS00001",
"type": "debit",
"currency": "EUR",
"order": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"number": "123456"
},
"customer": {
"firstName": "John",
"lastName": "Doe",
"companyName": "Acme Inc.",
"companyCode": "123456789",
"companyVat": "LT123456789",
"billingAddress": {
"phone": "+1-555-123-4567",
"address1": "123 Main St",
"address2": "Apt 4B",
"zip": "LT12345",
"city": "Anytown",
"country": "LT"
}
},
"invoicePositions": [
{
"name": "Product Name",
"quantity": 2,
"price": {
"unit": {
"regular": "45.99",
"special": "39.99",
"discount": "6.00",
"globalDiscount": "2.00"
},
"total": {
"withoutTax": "91.98",
"tax": "19.32",
"withTax": "111.30"
},
"tax": {
"rate": "21.0",
"classifier": "PVM1"
}
}
}
],
"totals": {
"subtotal": "62.20",
"discount": "5.00",
"tax": "12.79",
"total": "74.99"
},
"notes": "Additional notes",
"issueDate": "2024-11-04T10:15:30Z",
"createdAt": "2024-11-04T10:15:30Z"
}